#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

# Because of missing cmake(KF5MessageViewer) on armv5
ExcludeArch:    armv5tl

%define rel 2

Name:       pim-sieve-editor
Summary:    Application to assist with editing IMAP Sieve filters
Version: 16.12.3
Epoch:          2
Release:    %mkrel %{rel}
Group:      Graphical desktop/KDE
License:    GPLv2
URL:        http://www.kde.org/
Source0:    http://download.kde.org/stable/applications/%{version}/src/%name-%{version}.tar.xz

BuildRequires: kf5-macros

BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5Test)

# Find KF5 package
BuildRequires: cmake(KF5DBusAddons)
BuildRequires: cmake(KF5DocTools)
BuildRequires: cmake(KF5Crash)
BuildRequires: cmake(KF5Bookmarks)
BuildRequires: cmake(KF5IconThemes)
BuildRequires: cmake(KF5KIO)


# Find KdepimLibs Package
BuildRequires: cmake(KF5PimTextEdit)
BuildRequires: cmake(KF5MailTransport)
BuildRequires: cmake(KF5MessageViewer)
BuildRequires: cmake(KF5PimCommon)
BuildRequires: cmake(KF5LibKSieve)

%description
Application to assist with editing IMAP Sieve filters.

%files
%_sysconfdir/xdg/sieveeditor.categories
%_sysconfdir/xdg/sieveeditor.renamecategories
%_kf5_bindir/sieveeditor
%_kf5_datadir/applications/org.kde.sieveeditor.desktop
%_kf5_datadir/config.kcfg/sieveeditorglobalconfig.kcfg
%_kf5_datadir/kconf_update/sieveeditor-15.08-kickoff.sh
%_kf5_datadir/kconf_update/sieveeditor.upd

#--------------------------------------------------------------------

%package handbook
Summary:        %{name} Handbook
BuildArch:      noarch

Conflicts:      kde-l10n < 15.08.0 

%description handbook
This package provides %{name} Handbook.

%files handbook
%doc %_kf5_docdir/HTML/*/sieveeditor

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export LD=%_kf5_bindir/ld.gold
%cmake_kf5

%make_build

%install
%make_install -C build



%changelog
* Sat Mar 11 2017 neoclust <neoclust> 2:16.12.3-2.mga6
+ Revision: 1092001
- Exclude on armv5

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090171
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076913
- New version 16.12.0

* Wed Dec 14 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1075080
- imported package pim-sieve-editor

